brushless15 2.0.0.0

Data Fields
brushless15_cfg_t Struct Reference

Brushless 15 Click configuration object. More...

`#include <brushless15.h>`

## Data Fields
pin_name_t | pwm
pin_name_t | dir
pin_name_t | en
pin_name_t | int_pin
uint32_t | dev_pwm_freq

## Detailed Description

Brushless 15 Click configuration object.

Configuration object definition of Brushless 15 Click driver.

## Field Documentation

## ◆ dev_pwm_freq

uint32_t dev_pwm_freq

PWM frequency value.

## ◆ dir

pin_name_t dir

Direction control pin.

## ◆ en

pin_name_t en

Active-low enable pin.

## ◆ int_pin

pin_name_t int_pin

Rotation signal interrupt pin.

## ◆ pwm

pin_name_t pwm

PWM pin.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/brushless15/lib_brushless15/include/brushless15.h